<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@color/md_grey_100"
    android:orientation="vertical">
    <LinearLayout
        style="@style/FromLinearLayoutItem"
        android:orientation="horizontal"
        >
        <EditText
            android:id="@+id/et_order_no"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@null"
            android:hint="@string/hint_please_scan_no"
            android:imeOptions="actionDone"
            android:paddingRight="5dp"
            android:singleLine="true"
            android:text=""
            android:textSize="@dimen/t14" />
        <ImageButton
            android:id="@+id/search_clear"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginRight="3dp"
            android:background="@android:color/transparent"
            android:padding="6dp"
            android:src="@drawable/ic_clear"
            android:visibility="invisible"

            android:textSize="@dimen/sp_14" />

        <include layout="@layout/item_image_code" />
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="4dp"
        android:background="@color/md_grey_100" />
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_10"

        android:gravity="center_vertical"
        android:orientation="horizontal"

        >
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingBottom="@dimen/dp_4"
            android:paddingTop="@dimen/dp_4"
            android:paddingLeft="@dimen/dp_10"
            android:text="@string/str_load_type"
            android:textColor="@color/black"
            android:textSize="@dimen/t14" />
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="："
            android:textColor="@color/black"
            android:textSize="@dimen/t14" />
        <com.jaredrummler.materialspinner.MaterialSpinner
            android:id="@+id/ms_load_type"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:ellipsize="marquee"
            android:focusable="true"
            app:ms_padding_top="5dp"
            app:ms_padding_bottom="5dp"
            app:ms_padding_left="5dp"
            app:ms_popup_padding_left="10dp"
            android:gravity="center"
            android:textSize="@dimen/t14"/>
    </LinearLayout>
    <View
        android:layout_width="match_parent"
        android:layout_height="4dp"
        android:background="@color/md_grey_100" />


    <LinearLayout
        android:id="@+id/ly_num_content"
        android:layout_width="match_parent"
        android:layout_height="30dp"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_10"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:padding="0dp">

        <EditText
            android:id="@+id/et_receipt_qty"
            android:layout_width="150dp"
            android:layout_height="match_parent"
            android:layout_marginRight="@dimen/dp_10"
            android:background="@drawable/bg_white_et"
            android:hint="@string/hint_enter_number"
            android:inputType="numberDecimal|number"
            android:paddingLeft="@dimen/dp_10"
            android:singleLine="true"
            android:textSize="@dimen/t14" />


        <com.jaredrummler.materialspinner.MaterialSpinner
            android:id="@+id/ms_type"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:ellipsize="marquee"
            android:focusable="true"
            android:gravity="right"
            android:singleLine="true"
            app:ms_padding_top="0dp"
            app:ms_padding_bottom="0dp"
            android:textSize="@dimen/t12"/>
    </LinearLayout>


    <View
        android:layout_width="match_parent"
        android:layout_height="4dp"
        android:background="@color/md_grey_100" />



    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="@color/md_grey_100" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_10"
        android:background="@drawable/bg_white_et"
        android:gravity="center_vertical"
        android:orientation="vertical"
        android:paddingBottom="5dp"
        android:paddingTop="5dp"
        android:paddingLeft="10dp"
        android:paddingRight="10dp">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingBottom="5dp"
            android:paddingTop="5dp"
            android:orientation="horizontal">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/order_no"
                android:textColor="@color/black"
                android:textSize="@dimen/t14" />
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="："
                android:textColor="@color/black"
                android:textSize="@dimen/t14" />
            <com.fxy.baselibrary.views.MarqueeTextView
                android:id="@+id/tv_order_no"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:enabled="false"
                android:ellipsize="marquee"
                android:focusable="true"
                android:singleLine="true"
                android:gravity="center_vertical"
                android:textColor="@color/black_3d3d3d"
                android:textSize="@dimen/t14"
                />

        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingBottom="5dp"
            android:paddingTop="5dp"
            android:orientation="horizontal">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/str_total_cartons"
                android:textColor="@color/black"
                android:textSize="@dimen/t14" />
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="："
                android:textColor="@color/black"
                android:textSize="@dimen/t14" />

            <com.fxy.baselibrary.views.MarqueeTextView
                android:id="@+id/mt_total_cartons"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:enabled="false"
                android:ellipsize="marquee"
                android:focusable="true"
                android:singleLine="true"
                android:gravity="center_vertical"
                android:textColor="@color/black_3d3d3d"
                android:textSize="@dimen/t14"
                />
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingBottom="5dp"
            android:paddingTop="5dp"
            android:orientation="horizontal">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/str_total_quantity"
                android:textColor="@color/black"
                android:textSize="@dimen/t14" />
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="："
                android:textColor="@color/black"
                android:textSize="@dimen/t14" />

            <com.fxy.baselibrary.views.MarqueeTextView
                android:id="@+id/mt_total_quantity"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:enabled="false"
                android:ellipsize="marquee"
                android:focusable="true"
                android:singleLine="true"
                android:gravity="center_vertical"
                android:textColor="@color/black_3d3d3d"
                android:textSize="@dimen/t14"
                />
        </LinearLayout>
    </LinearLayout>



    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_10"
        android:layout_marginBottom="@dimen/dp_4"
        android:background="@drawable/bg_white_et"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:padding="10dp">
        <TextView
            android:id="@+id/btn_confirm"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_10"
            android:layout_marginRight="@dimen/dp_10"
            android:background="@drawable/bg_orange_item"
            android:gravity="center"
            android:text="@string/btn_accomplish_sign"
            android:padding="10dp"
            android:textColor="@color/white"
            android:textSize="@dimen/t16"
            android:visibility="visible" />
    </LinearLayout>
    <include layout="@layout/item_float_image" />
</LinearLayout>